#!/bin/bash
set -euo pipefail

ACTION="$1"
GROUP="$2"
ALIAS="$3"
FROM="$4"

if [ "$ACTION" == "SIGNUP" ]; then
	TO=postmaster@localhost
	HEADER="$(cat <<EOF
X-MEMBER-ALIAS: $ALIAS
X-GROUP: $GROUP
EOF
)"
else
	TO="$GROUP"
	HEADER="X-IGNORED:"
fi

#
# Ideally, FROM should be "postmaster" or "root" or something
# but to keep the logic (at this time) simpler
# I impersonate the user
#
# However, the origin of these e-mails are still disambiguated
# by the "From: " header
maildrop -f "$FROM" <<EOF
From: postmaster@localhost
To: ${TO}
Subject: [${ACTION}]
${HEADER}
EOF
